<?php
    class Auditoria {
        static function guardar($datos, $sql){
            isset($datos['FEC']) || $datos['FEC'] = date('Ymd H:i:s');
            isset($datos['MOD']) || $datos['MOD'] = 0;
            isset($datos['PVE']) || $datos['PVE'] = 0;
            isset($datos['POS']) || $datos['POS'] = 0;
            isset($datos['USU']) || $datos['USU'] = '';
            isset($datos['MOV']) || $datos['MOV'] = 0;
            isset($datos['FRM']) || $datos['FRM'] = '';
            isset($datos['TEX']) || $datos['TEX'] = '';
            $res = $sql->query('SELECT MAX(ID) + 1 AS NUEVO_ID FROM AUDI');
            $datos['ID'] = $res[0]['NUEVO_ID'];
            $sql->insert('AUDI', $datos);
        }
    }
?>
